@echo off
cd BIOS
echo Checking ROM file .....
ckmode XH170V00.112 XH170 4031
if errorlevel 1 goto end


:flash
DISEUP.EXE
AFUDOS.exe XH170V00.112 /P /B /N
if errorlevel 1 goto end
fpt.exe -f XH170V00.112 -me
fpt.exe -greset
if errorlevel 1 goto end

:end
echo Update not sucessful.
cd ..
exit
